# No SOURCE spec-file
#
#
%define oname palemoon
%define mozillalibdir %{_libdir}/%{oname}
%define pluginsdir /usr/lib/mozilla/plugins


Summary:	Palemoon web browser
Name:		palemoon-browser
Version:	33.1.0
Release:	%mkrel 1
License:	MPLv1+
Group:		Networking/WWW
URL:		http://www.palemoon.org/
Source3:	%{oname}.png
Source4:	%{oname}.desktop
#-----------------------------------------------------
Provides:	webclient
Requires:	indexhtml
Requires:   xdg-utils
Requires:	m4
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
#-----------------------------------------------------
AutoReqProv: no
Conflicts: palemoon-browser-gtk3
Obsoletes: palemoon
Provides: palemoon = %{version}-%{release}

%description
Pale Moon is an Open Source, Firefox-based web browser available for Linux,
focusing on efficiency and ease of use. Make sure to get the most out
of your browser!


%prep
#Here we go!
cd %_builddir
wget -nc https://linux.palemoon.org/datastore/release/%{oname}-%{version}.linux-x86_64-gtk2.tar.xz
tar -xf %{oname}-%{version}.linux-x86_64-gtk2.tar.xz

%build
#nobuild


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


mkdir -p %{buildroot}%{mozillalibdir}
cp -r %oname/* %{buildroot}%{mozillalibdir}


#compatibility links
mkdir -p %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/palemoon %{buildroot}%{_bindir}/palemoon

# Create an own %_libdir/mozilla/plugins
mkdir -p %{buildroot}/usr/lib/mozilla/plugins

mkdir -p %{buildroot}%{_datadir}/{pixmaps,applications}
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{oname}.desktop
install -m 644 %{SOURCE3} %{buildroot}%{_datadir}/pixmaps/%{oname}.png


%post
%update_menus
update-desktop-database &> /dev/null ||:

%postun
%clean_menus
update-desktop-database &> /dev/null ||:''

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
rm -rf %_builddir/*

%files
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/applications/*.desktop
%dir %{_libdir}/%{oname}
%{_libdir}/%{oname}
%dir /usr/lib/mozilla
%dir %{pluginsdir}
%{_datadir}/pixmaps/*.png


%changelog
* Wed Apr 24 2024 tex - 33.1.0-1pclos2024
- new version

* Tue Mar 26 2024 tex - 33.0.2-1pclos2024
- new version

* Tue Feb 27 2024 tex - 33.0.1-1pclos2024
- new version

* Sat Feb 03 2024 tex - 33.0.0-1pclos2024
- new version

* Sun Dec 24 2023 tex - 32.5.2-1pclos2024
- new version

* Tue Nov 28 2023 tex - 32.5.1-1pclos2023
- new version for tuxalish
